Page MenuHomePhabricator

PDF table of contents styling font-size is inconsistent
Closed, ResolvedPublic

Description

The contributors and images and content license headings in the table of contents appear smaller than the others:

Testing criteria

Event Timeline

Jdlrobson removed the point value for this task.
Jdlrobson updated the task description. (Show Details)Oct 10 2017, 10:53 PM

Change 383481 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[mediawiki/extensions/Collection@master] Fix table of contents font-size

https://gerrit.wikimedia.org/r/383481

@Jdlrobson - I'm a bit confused - wouldn't this be replaced by T171836: Apply new print styles for books eventually? I would say for now we shouldn't worry too much about styling differences.

ovasileva triaged this task as Medium priority.Oct 11 2017, 9:58 AM

I'm a bit confused

This is a subtask. Books have their own styles in addition to T171836 so this should be fixed now. The style was added in a recent patchset by us so let's fix it.

I cannot replicate the issue locally, with and without the new print styles. Any tips on what maybe causing the difference between my local installation and the beta labs one?

I cannot replicate the issue locally, with and without the new print styles. Any tips on what maybe causing the difference between my local installation and the beta labs one?

I'm not sure. I can replicate both locally and on beta labs. I guess first step would be for you to ensure the styles inside "ext.collection.offline" are being loaded locally as that's what provides the font-size difference.

Thanks. I had to create a chapter first.

Change 383481 merged by jenkins-bot:
[mediawiki/extensions/Collection@master] Fix table of contents font-size

https://gerrit.wikimedia.org/r/383481

ovasileva closed this task as Resolved.Oct 16 2017, 11:16 AM
This comment was removed by ovasileva.